Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 229054

Summary: pgadmin3: $RPM_OPT_FLAGS not used
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: pgadmin3Assignee: Gavin Henry <ghenry>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: devrim, redhat-bugzilla, triage
Target Milestone: ---Keywords: Patch
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: 1.8.4-2 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-30 13:32:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Use $RPM_OPT_FLAGS
none
Specfile part of the fix none

Description Ville Skyttä 2007-02-16 18:45:47 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

Fix attached.  devel needs a similar fix, but I don't have a Rawhide box to test
with at the moment.  --disable-dependency-tracking is not really part of the
fix, but beneficial in the cleaner build output (easier to spot problems like
this) sense and may provide some build speedups.

Comment 1 Ville Skyttä 2007-02-16 18:45:47 UTC
Created attachment 148224 [details]
Use $RPM_OPT_FLAGS

Comment 2 Ville Skyttä 2007-02-16 18:46:30 UTC
Created attachment 148226 [details]
Specfile part of the fix

Comment 3 Ville Skyttä 2007-07-28 20:09:01 UTC
Ping?  Still affects current releases it seems.

Comment 4 Ville Skyttä 2007-10-12 22:54:01 UTC
Ping?  Devel still affected, updated patch at
http://scop.fedorapeople.org/patches/debuginfo/pgadmin3.patch

Comment 5 Devrim GUNDUZ 2007-11-15 04:03:02 UTC
Ville,

Pushed 1.8.0 to F8 and rawhide. It will appear in F-7 soon. Could you please try
it under F-8? AFAICS this is solved.

Regards, Devrim

Comment 6 Ville Skyttä 2007-11-15 16:21:34 UTC
Not fixed, the build log clearly indicates that $RPM_OPT_FLAGS are still not in
use, see eg. http://koji.fedoraproject.org/koji/getfile?taskID=242080&name=build.log

Comment 7 Ville Skyttä 2007-11-15 16:22:24 UTC
(Devrim, see comment 6)

Comment 8 Fedora Update System 2007-11-16 00:40:13 UTC
pgadmin3-1.8.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Ville Skyttä 2007-11-18 11:59:39 UTC
As noted, the problem does persist, see comment 6.

Comment 10 Bug Zapper 2008-04-03 19:10:09 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 11 Ville Skyttä 2008-04-03 20:27:55 UTC
Still an issue with current Rawhide:

http://koji.fedoraproject.org/packages/pgadmin3/1.8.2/1.fc9/data/logs/x86_64/build.log

For example:
if g++ -DHAVE_CONFIG_H -I. -I. -I..   -I/usr/include -DSSL
-I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8
-D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -O2 -DEMBED_XRC
-I/usr/include/libxml2 -I/usr/include/libxml2
-DDATA_DIR=\"/usr/share/pgadmin3/\" -Wall -Wno-non-virtual-dtor
-fno-strict-aliasing -I../pgadmin/include   -MT pgAdmin3.o -MD -MP -MF
".deps/pgAdmin3.Tpo" -c -o pgAdmin3.o `test -f './pgAdmin3.cpp' || echo
'./'`./pgAdmin3.cpp; \

No -D_FORTIFY_SOURCE=2 (which can be seen as a security issue) nor other flags
that are in $RPM_OPT_FLAGS.

Comment 12 Bug Zapper 2008-05-14 02:37:30 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Ville Skyttä 2008-07-14 04:28:45 UTC
Because there was no progress nor real comments here in about 1.5 years and the
ACLs allow it, I updated the patch for the third time and committed it as
1.8.4-2 to devel, but did not tag or build it yet.  Let me know if you'd like me
to do that.

Comment 14 John Poelstra 2008-07-15 19:25:43 UTC
changing to needinfo re: comment #13

Comment 15 Devrim GUNDUZ 2008-08-11 07:59:06 UTC
(In reply to comment #13)
> Because there was no progress nor real comments here in about 1.5 years and the
> ACLs allow it, I updated the patch for the third time and committed it as
> 1.8.4-2 to devel, but did not tag or build it yet.  Let me know if you'd like me
> to do that.

Pushed to devel.

Comment 16 Robert Scheck 2008-12-30 13:32:51 UTC
Fixed in CVS and latest build (1.8.4-2), closing hereby.